Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class PropertySetRepositoryImpl

    java.lang.Object
      |
      +--com.bea.p13n.content.PropertySetRepositoryImpl

All Implemented Interfaces:
  PropertySetRepository

public class PropertySetRepositoryImpl
extends Object
implements PropertySetRepository

Property set repository which will aggregate PropertySets from multiple, referenced ContentManager.

This will look in the "java:comp/env/ejb/ContentManagers" JNDI branch (which should be coming from the PropertySetManager's deployment environment). If that is a Context, it will load up all children of the Context as ContentManager homes and return all of their PropertySets.

Constructor Summary
`PropertySetRepositoryImpl()` Deprecated. Constructor.

Method Summary
`boolean` | `addPropertySet(String name, PropertySet ps)` Deprecated. Add a PropertySet to this repository.
`void` | `clear()` Deprecated. Clear this repository This operation is not supported.
`PropertySet` | `getPropertySet(String name)` Deprecated. Get the named PropertySet.
`String[]` | `getPropertySetNames()` Deprecated. Get all the PropertySet names this contains.
`Map` | `getPropertySets()` Deprecated. Get all the PropertySets this contains.
`void` | `removePropertySet(String name)` Deprecated. Remove a PropertySet from this repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySetRepositoryImpl

    public PropertySetRepositoryImpl()

  Deprecated.
  Constructor.

  This will initialize the set of ContentManagers to use from the current "java:comp/env/ejb/ContentManagers" JNDI context.

Method Detail

### getPropertySet

    public PropertySet getPropertySet(String name)

  Deprecated.
  Get the named PropertySet.

  This will iterate over our ContentManager in reverse until we find one.

  Specified by:
    `getPropertySet` in interface `PropertySetRepository`
  Parameters:
    `name` - the name of the PropertySet
  Returns:
    the PropertySet object, or null if it is not found
  See Also:
    `ContentManager.getPropertySet(java.lang.String)`

### getPropertySets

    public Map getPropertySets()

  Deprecated.
  Get all the PropertySets this contains.

  This will iterate over our ContentManagers, aggregating the results of each getPropertySets() call.

  Specified by:
    `getPropertySets` in interface `PropertySetRepository`
  Returns:
    a Map of name/PropertySet pairs, or null if none exist
  See Also:
    `ContentManager.getPropertySets()`

### getPropertySetNames

    public String[] getPropertySetNames()

  Deprecated.
  Get all the PropertySet names this contains.

  This will iterate over our ContentManagers, aggregating the results of each getPropertySetNames() call.

  Specified by:
    `getPropertySetNames` in interface `PropertySetRepository`
  Returns:
    a String array of property set names, or null if none exist
  See Also:
    `ContentManager.getPropertySetNames()`

### addPropertySet

    public boolean addPropertySet(String name,
                                  PropertySet ps)
                           throws UnsupportedOperationException

  Deprecated.
  Add a PropertySet to this repository.

  This operation is not supported.

  Specified by:
    `addPropertySet` in interface `PropertySetRepository`
  Parameters:
    `name` - the name to associate with ths PropertySet
    `ps` - the PropertySet object itself
  Returns:
    true if the PropertySet was modified, false if it was created
  Throws:
    `UnsupportedOperationException` - always.

### removePropertySet

    public void removePropertySet(String name)
                           throws UnsupportedOperationException

  Deprecated.
  Remove a PropertySet from this repository.

  This operation is not supported.

  Specified by:
    `removePropertySet` in interface `PropertySetRepository`
  Parameters:
    `name` - the name of the PropertySet to remove
  Throws:
    `UnsupportedOperationException` - always.

### clear

    public void clear()
               throws UnsupportedOperationException

  Deprecated.
  Clear this repository

  This operation is not supported.

  Specified by:
    `clear` in interface `PropertySetRepository`
  Throws:
    `UnsupportedOperationException` - always.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved